1# Makefile.in generated by automake 1.15 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17VPATH = @srcdir@
18am__is_gnu_make = { \
19  if test -z '$(MAKELEVEL)'; then \
20    false; \
21  elif test -n '$(MAKE_HOST)'; then \
22    true; \
23  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
24    true; \
25  else \
26    false; \
27  fi; \
28}
29am__make_running_with_option = \
30  case $${target_option-} in \
31      ?) ;; \
32      *) echo "am__make_running_with_option: internal error: invalid" \
33              "target option '$${target_option-}' specified" >&2; \
34         exit 1;; \
35  esac; \
36  has_opt=no; \
37  sane_makeflags=$$MAKEFLAGS; \
38  if $(am__is_gnu_make); then \
39    sane_makeflags=$$MFLAGS; \
40  else \
41    case $$MAKEFLAGS in \
42      *\\[\ \	]*) \
43        bs=\\; \
44        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
45          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
46    esac; \
47  fi; \
48  skip_next=no; \
49  strip_trailopt () \
50  { \
51    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
52  }; \
53  for flg in $$sane_makeflags; do \
54    test $$skip_next = yes && { skip_next=no; continue; }; \
55    case $$flg in \
56      *=*|--*) continue;; \
57        -*I) strip_trailopt 'I'; skip_next=yes;; \
58      -*I?*) strip_trailopt 'I';; \
59        -*O) strip_trailopt 'O'; skip_next=yes;; \
60      -*O?*) strip_trailopt 'O';; \
61        -*l) strip_trailopt 'l'; skip_next=yes;; \
62      -*l?*) strip_trailopt 'l';; \
63      -[dEDm]) skip_next=yes;; \
64      -[JT]) skip_next=yes;; \
65    esac; \
66    case $$flg in \
67      *$$target_option*) has_opt=yes; break;; \
68    esac; \
69  done; \
70  test $$has_opt = yes
71am__make_dryrun = (target_option=n; $(am__make_running_with_option))
72am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
73pkgdatadir = $(datadir)/@PACKAGE@
74pkgincludedir = $(includedir)/@PACKAGE@
75pkglibdir = $(libdir)/@PACKAGE@
76pkglibexecdir = $(libexecdir)/@PACKAGE@
77am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
78install_sh_DATA = $(install_sh) -c -m 644
79install_sh_PROGRAM = $(install_sh) -c
80install_sh_SCRIPT = $(install_sh) -c
81INSTALL_HEADER = $(INSTALL_DATA)
82transform = $(program_transform_name)
83NORMAL_INSTALL = :
84PRE_INSTALL = :
85POST_INSTALL = :
86NORMAL_UNINSTALL = :
87PRE_UNINSTALL = :
88POST_UNINSTALL = :
89build_triplet = @build@
90host_triplet = @host@
91target_triplet = @target@
92subdir = doc
93ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
94am__aclocal_m4_deps = $(top_srcdir)/m4/add_cflags.m4 \
95	$(top_srcdir)/m4/ogg.m4 $(top_srcdir)/m4/pkg.m4 \
96	$(top_srcdir)/configure.ac
97am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
98	$(ACLOCAL_M4)
99DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
100mkinstalldirs = $(install_sh) -d
101CONFIG_HEADER = $(top_builddir)/config.h
102CONFIG_CLEAN_FILES = Doxyfile
103CONFIG_CLEAN_VPATH_FILES =
104AM_V_P = $(am__v_P_@AM_V@)
105am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
106am__v_P_0 = false
107am__v_P_1 = :
108AM_V_GEN = $(am__v_GEN_@AM_V@)
109am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
110am__v_GEN_0 = @echo "  GEN     " $@;
111am__v_GEN_1 =
112AM_V_at = $(am__v_at_@AM_V@)
113am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
114am__v_at_0 = @
115am__v_at_1 =
116SOURCES =
117DIST_SOURCES =
118RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
119	ctags-recursive dvi-recursive html-recursive info-recursive \
120	install-data-recursive install-dvi-recursive \
121	install-exec-recursive install-html-recursive \
122	install-info-recursive install-pdf-recursive \
123	install-ps-recursive install-recursive installcheck-recursive \
124	installdirs-recursive pdf-recursive ps-recursive \
125	tags-recursive uninstall-recursive
126am__can_run_installinfo = \
127  case $$AM_UPDATE_INFO_DIR in \
128    n|no|NO) false;; \
129    *) (install-info --version) >/dev/null 2>&1;; \
130  esac
131am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
132am__vpath_adj = case $$p in \
133    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
134    *) f=$$p;; \
135  esac;
136am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
137am__install_max = 40
138am__nobase_strip_setup = \
139  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
140am__nobase_strip = \
141  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
142am__nobase_list = $(am__nobase_strip_setup); \
143  for p in $$list; do echo "$$p $$p"; done | \
144  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
145  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
146    if (++n[$$2] == $(am__install_max)) \
147      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
148    END { for (dir in files) print dir, files[dir] }'
149am__base_list = \
150  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
151  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
152am__uninstall_files_from_dir = { \
153  test -z "$$files" \
154    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
155    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
156         $(am__cd) "$$dir" && rm -f $$files; }; \
157  }
158am__installdirs = "$(DESTDIR)$(docdir)"
159DATA = $(doc_DATA)
160RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
161  distclean-recursive maintainer-clean-recursive
162am__recursive_targets = \
163  $(RECURSIVE_TARGETS) \
164  $(RECURSIVE_CLEAN_TARGETS) \
165  $(am__extra_recursive_targets)
166AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
167	distdir
168am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
169# Read a list of newline-separated strings from the standard input,
170# and print each of them once, without duplicates.  Input order is
171# *not* preserved.
172am__uniquify_input = $(AWK) '\
173  BEGIN { nonempty = 0; } \
174  { items[$$0] = 1; nonempty = 1; } \
175  END { if (nonempty) { for (i in items) print i; }; } \
176'
177# Make sure the list of sources is unique.  This is necessary because,
178# e.g., the same source file might be shared among _SOURCES variables
179# for different programs/libraries.
180am__define_uniq_tagged_files = \
181  list='$(am__tagged_files)'; \
182  unique=`for i in $$list; do \
183    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
184  done | $(am__uniquify_input)`
185ETAGS = etags
186CTAGS = ctags
187DIST_SUBDIRS = $(SUBDIRS)
188am__DIST_COMMON = $(srcdir)/Doxyfile.in $(srcdir)/Makefile.in
189DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
190am__relativize = \
191  dir0=`pwd`; \
192  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
193  sed_rest='s,^[^/]*/*,,'; \
194  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
195  sed_butlast='s,/*[^/]*$$,,'; \
196  while test -n "$$dir1"; do \
197    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
198    if test "$$first" != "."; then \
199      if test "$$first" = ".."; then \
200        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
201        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
202      else \
203        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
204        if test "$$first2" = "$$first"; then \
205          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
206        else \
207          dir2="../$$dir2"; \
208        fi; \
209        dir0="$$dir0"/"$$first"; \
210      fi; \
211    fi; \
212    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
213  done; \
214  reldir="$$dir2"
215ACLOCAL = @ACLOCAL@
216ACLOCAL_AMFLAGS = @ACLOCAL_AMFLAGS@
217ALLOCA = @ALLOCA@
218AMTAR = @AMTAR@
219AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
220AR = @AR@
221AS = @AS@
222AUTOCONF = @AUTOCONF@
223AUTOHEADER = @AUTOHEADER@
224AUTOMAKE = @AUTOMAKE@
225AWK = @AWK@
226CC = @CC@
227CCDEPMODE = @CCDEPMODE@
228CFLAGS = @CFLAGS@
229CPP = @CPP@
230CPPFLAGS = @CPPFLAGS@
231CYGPATH_W = @CYGPATH_W@
232DEBUG = @DEBUG@
233DEFS = @DEFS@
234DEPDIR = @DEPDIR@
235DLLTOOL = @DLLTOOL@
236DSYMUTIL = @DSYMUTIL@
237DUMPBIN = @DUMPBIN@
238ECHO_C = @ECHO_C@
239ECHO_N = @ECHO_N@
240ECHO_T = @ECHO_T@
241EGREP = @EGREP@
242EXEEXT = @EXEEXT@
243FGREP = @FGREP@
244GREP = @GREP@
245HAVE_DOXYGEN = @HAVE_DOXYGEN@
246HTLATEX = @HTLATEX@
247INSTALL = @INSTALL@
248INSTALL_DATA = @INSTALL_DATA@
249INSTALL_PROGRAM = @INSTALL_PROGRAM@
250INSTALL_SCRIPT = @INSTALL_SCRIPT@
251INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
252LD = @LD@
253LDFLAGS = @LDFLAGS@
254LIBOBJS = @LIBOBJS@
255LIBS = @LIBS@
256LIBTOOL = @LIBTOOL@
257LIBTOOL_DEPS = @LIBTOOL_DEPS@
258LIPO = @LIPO@
259LN_S = @LN_S@
260LTLIBOBJS = @LTLIBOBJS@
261LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
262MAINT = @MAINT@
263MAKEINFO = @MAKEINFO@
264MANIFEST_TOOL = @MANIFEST_TOOL@
265MKDIR_P = @MKDIR_P@
266NM = @NM@
267NMEDIT = @NMEDIT@
268OBJDUMP = @OBJDUMP@
269OBJEXT = @OBJEXT@
270OGG_CFLAGS = @OGG_CFLAGS@
271OGG_LIBS = @OGG_LIBS@
272OTOOL = @OTOOL@
273OTOOL64 = @OTOOL64@
274PACKAGE = @PACKAGE@
275PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
276PACKAGE_NAME = @PACKAGE_NAME@
277PACKAGE_STRING = @PACKAGE_STRING@
278PACKAGE_TARNAME = @PACKAGE_TARNAME@
279PACKAGE_URL = @PACKAGE_URL@
280PACKAGE_VERSION = @PACKAGE_VERSION@
281PATH_SEPARATOR = @PATH_SEPARATOR@
282PDFLATEX = @PDFLATEX@
283PKG_CONFIG = @PKG_CONFIG@
284PROFILE = @PROFILE@
285RANLIB = @RANLIB@
286SED = @SED@
287SET_MAKE = @SET_MAKE@
288SHELL = @SHELL@
289STRIP = @STRIP@
290VERSION = @VERSION@
291VE_LIB_AGE = @VE_LIB_AGE@
292VE_LIB_CURRENT = @VE_LIB_CURRENT@
293VE_LIB_REVISION = @VE_LIB_REVISION@
294VF_LIB_AGE = @VF_LIB_AGE@
295VF_LIB_CURRENT = @VF_LIB_CURRENT@
296VF_LIB_REVISION = @VF_LIB_REVISION@
297VORBIS_LIBS = @VORBIS_LIBS@
298V_LIB_AGE = @V_LIB_AGE@
299V_LIB_CURRENT = @V_LIB_CURRENT@
300V_LIB_REVISION = @V_LIB_REVISION@
301abs_builddir = @abs_builddir@
302abs_srcdir = @abs_srcdir@
303abs_top_builddir = @abs_top_builddir@
304abs_top_srcdir = @abs_top_srcdir@
305ac_ct_AR = @ac_ct_AR@
306ac_ct_CC = @ac_ct_CC@
307ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
308am__include = @am__include@
309am__leading_dot = @am__leading_dot@
310am__quote = @am__quote@
311am__tar = @am__tar@
312am__untar = @am__untar@
313bindir = @bindir@
314build = @build@
315build_alias = @build_alias@
316build_cpu = @build_cpu@
317build_os = @build_os@
318build_vendor = @build_vendor@
319builddir = @builddir@
320datadir = @datadir@
321datarootdir = @datarootdir@
322docdir = $(datadir)/doc/$(PACKAGE)-$(VERSION)
323dvidir = @dvidir@
324exec_prefix = @exec_prefix@
325host = @host@
326host_alias = @host_alias@
327host_cpu = @host_cpu@
328host_os = @host_os@
329host_vendor = @host_vendor@
330htmldir = @htmldir@
331includedir = @includedir@
332infodir = @infodir@
333install_sh = @install_sh@
334libdir = @libdir@
335libexecdir = @libexecdir@
336localedir = @localedir@
337localstatedir = @localstatedir@
338mandir = @mandir@
339mkdir_p = @mkdir_p@
340oldincludedir = @oldincludedir@
341pdfdir = @pdfdir@
342prefix = @prefix@
343program_transform_name = @program_transform_name@
344psdir = @psdir@
345pthread_lib = @pthread_lib@
346sbindir = @sbindir@
347sharedstatedir = @sharedstatedir@
348srcdir = @srcdir@
349sysconfdir = @sysconfdir@
350target = @target@
351target_alias = @target_alias@
352target_cpu = @target_cpu@
353target_os = @target_os@
354target_vendor = @target_vendor@
355top_build_prefix = @top_build_prefix@
356top_builddir = @top_builddir@
357top_srcdir = @top_srcdir@
358SUBDIRS = libvorbis vorbisfile vorbisenc
359
360### all of the static docs, commited to SVN and included as is
361static_docs = \
362	rfc5215.xml \
363	rfc5215.txt \
364	eightphase.png \
365	fish_xiph_org.png \
366	floor1_inverse_dB_table.html \
367	floorval.png \
368	fourphase.png \
369	framing.html \
370	helper.html \
371	index.html \
372	oggstream.html \
373	programming.html \
374	squarepolar.png \
375	stereo.html \
376	stream.png \
377	v-comment.html \
378	vorbis-clip.txt \
379	vorbis-errors.txt \
380	vorbis-fidelity.html
381
382
383# bits needed by the spec
384SPEC_PNG = \
385	components.png \
386	fish_xiph_org.png \
387	floor1-1.png \
388	floor1-2.png \
389	floor1-3.png \
390	floor1-4.png \
391	hufftree.png \
392	hufftree-under.png \
393	residue-pack.png \
394	residue2.png \
395	window1.png \
396	window2.png
397
398SPEC_TEX = \
399	Vorbis_I_spec.tex \
400	01-introduction.tex \
401	02-bitpacking.tex \
402	03-codebook.tex \
403	04-codec.tex   \
404	05-comment.tex \
405	06-floor0.tex  \
406	07-floor1.tex  \
407	08-residue.tex \
408	09-helper.tex  \
409	10-tables.tex  \
410	a1-encapsulation-ogg.tex \
411	a2-encapsulation-rtp.tex \
412	footer.tex
413
414built_docs = Vorbis_I_spec.pdf Vorbis_I_spec.html Vorbis_I_spec.css
415@BUILD_DOCS_FALSE@doc_DATA = $(static_docs) doxygen-build.stamp
416
417# conditionally make the generated documentation
418@BUILD_DOCS_TRUE@doc_DATA = $(static_docs) $(SPEC_PNG) $(built_docs) doxygen-build.stamp
419EXTRA_DIST = $(static_docs) $(built_docs) \
420	$(SPEC_TEX) $(SPEC_PNG) $(SPEC_PDF) Vorbis_I_spec.cfg Doxyfile.in
421
422
423# these are expensive; only remove if we have to
424MAINTAINERCLEANFILES = $(built_docs)
425CLEANFILES = $(SPEC_TEX:%.tex=%.aux) \
426	     Vorbis_I_spec.4ct Vorbis_I_spec.4tc \
427	     Vorbis_I_spec.dvi Vorbis_I_spec.idv \
428	     Vorbis_I_spec.lg  Vorbis_I_spec.log \
429	     Vorbis_I_spec.out Vorbis_I_spec.tmp \
430	     Vorbis_I_spec.toc Vorbis_I_spec.xref \
431	     Vorbis_I_spec*.png \
432	     zzVorbis_I_spec.ps
433
434DISTCLEANFILES = $(built_docs)
435all: all-recursive
436
437.SUFFIXES:
438$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
439	@for dep in $?; do \
440	  case '$(am__configure_deps)' in \
441	    *$$dep*) \
442	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
443	        && { if test -f $@; then exit 0; else break; fi; }; \
444	      exit 1;; \
445	  esac; \
446	done; \
447	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu doc/Makefile'; \
448	$(am__cd) $(top_srcdir) && \
449	  $(AUTOMAKE) --gnu doc/Makefile
450Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
451	@case '$?' in \
452	  *config.status*) \
453	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
454	  *) \
455	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
456	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
457	esac;
458
459$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
460	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
461
462$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
463	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
464$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
465	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
466$(am__aclocal_m4_deps):
467Doxyfile: $(top_builddir)/config.status $(srcdir)/Doxyfile.in
468	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
469
470mostlyclean-libtool:
471	-rm -f *.lo
472
473clean-libtool:
474	-rm -rf .libs _libs
475install-docDATA: $(doc_DATA)
476	@$(NORMAL_INSTALL)
477	@list='$(doc_DATA)'; test -n "$(docdir)" || list=; \
478	if test -n "$$list"; then \
479	  echo " $(MKDIR_P) '$(DESTDIR)$(docdir)'"; \
480	  $(MKDIR_P) "$(DESTDIR)$(docdir)" || exit 1; \
481	fi; \
482	for p in $$list; do \
483	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
484	  echo "$$d$$p"; \
485	done | $(am__base_list) | \
486	while read files; do \
487	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(docdir)'"; \
488	  $(INSTALL_DATA) $$files "$(DESTDIR)$(docdir)" || exit $$?; \
489	done
490
491uninstall-docDATA:
492	@$(NORMAL_UNINSTALL)
493	@list='$(doc_DATA)'; test -n "$(docdir)" || list=; \
494	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
495	dir='$(DESTDIR)$(docdir)'; $(am__uninstall_files_from_dir)
496
497# This directory's subdirectories are mostly independent; you can cd
498# into them and run 'make' without going through this Makefile.
499# To change the values of 'make' variables: instead of editing Makefiles,
500# (1) if the variable is set in 'config.status', edit 'config.status'
501#     (which will cause the Makefiles to be regenerated when you run 'make');
502# (2) otherwise, pass the desired values on the 'make' command line.
503$(am__recursive_targets):
504	@fail=; \
505	if $(am__make_keepgoing); then \
506	  failcom='fail=yes'; \
507	else \
508	  failcom='exit 1'; \
509	fi; \
510	dot_seen=no; \
511	target=`echo $@ | sed s/-recursive//`; \
512	case "$@" in \
513	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
514	  *) list='$(SUBDIRS)' ;; \
515	esac; \
516	for subdir in $$list; do \
517	  echo "Making $$target in $$subdir"; \
518	  if test "$$subdir" = "."; then \
519	    dot_seen=yes; \
520	    local_target="$$target-am"; \
521	  else \
522	    local_target="$$target"; \
523	  fi; \
524	  ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
525	  || eval $$failcom; \
526	done; \
527	if test "$$dot_seen" = "no"; then \
528	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
529	fi; test -z "$$fail"
530
531ID: $(am__tagged_files)
532	$(am__define_uniq_tagged_files); mkid -fID $$unique
533tags: tags-recursive
534TAGS: tags
535
536tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
537	set x; \
538	here=`pwd`; \
539	if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
540	  include_option=--etags-include; \
541	  empty_fix=.; \
542	else \
543	  include_option=--include; \
544	  empty_fix=; \
545	fi; \
546	list='$(SUBDIRS)'; for subdir in $$list; do \
547	  if test "$$subdir" = .; then :; else \
548	    test ! -f $$subdir/TAGS || \
549	      set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
550	  fi; \
551	done; \
552	$(am__define_uniq_tagged_files); \
553	shift; \
554	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
555	  test -n "$$unique" || unique=$$empty_fix; \
556	  if test $$# -gt 0; then \
557	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
558	      "$$@" $$unique; \
559	  else \
560	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
561	      $$unique; \
562	  fi; \
563	fi
564ctags: ctags-recursive
565
566CTAGS: ctags
567ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
568	$(am__define_uniq_tagged_files); \
569	test -z "$(CTAGS_ARGS)$$unique" \
570	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
571	     $$unique
572
573GTAGS:
574	here=`$(am__cd) $(top_builddir) && pwd` \
575	  && $(am__cd) $(top_srcdir) \
576	  && gtags -i $(GTAGS_ARGS) "$$here"
577cscopelist: cscopelist-recursive
578
579cscopelist-am: $(am__tagged_files)
580	list='$(am__tagged_files)'; \
581	case "$(srcdir)" in \
582	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
583	  *) sdir=$(subdir)/$(srcdir) ;; \
584	esac; \
585	for i in $$list; do \
586	  if test -f "$$i"; then \
587	    echo "$(subdir)/$$i"; \
588	  else \
589	    echo "$$sdir/$$i"; \
590	  fi; \
591	done >> $(top_builddir)/cscope.files
592
593distclean-tags:
594	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
595
596distdir: $(DISTFILES)
597	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
598	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
599	list='$(DISTFILES)'; \
600	  dist_files=`for file in $$list; do echo $$file; done | \
601	  sed -e "s|^$$srcdirstrip/||;t" \
602	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
603	case $$dist_files in \
604	  */*) $(MKDIR_P) `echo "$$dist_files" | \
605			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
606			   sort -u` ;; \
607	esac; \
608	for file in $$dist_files; do \
609	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
610	  if test -d $$d/$$file; then \
611	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
612	    if test -d "$(distdir)/$$file"; then \
613	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
614	    fi; \
615	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
616	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
617	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
618	    fi; \
619	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
620	  else \
621	    test -f "$(distdir)/$$file" \
622	    || cp -p $$d/$$file "$(distdir)/$$file" \
623	    || exit 1; \
624	  fi; \
625	done
626	@list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
627	  if test "$$subdir" = .; then :; else \
628	    $(am__make_dryrun) \
629	      || test -d "$(distdir)/$$subdir" \
630	      || $(MKDIR_P) "$(distdir)/$$subdir" \
631	      || exit 1; \
632	    dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
633	    $(am__relativize); \
634	    new_distdir=$$reldir; \
635	    dir1=$$subdir; dir2="$(top_distdir)"; \
636	    $(am__relativize); \
637	    new_top_distdir=$$reldir; \
638	    echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
639	    echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
640	    ($(am__cd) $$subdir && \
641	      $(MAKE) $(AM_MAKEFLAGS) \
642	        top_distdir="$$new_top_distdir" \
643	        distdir="$$new_distdir" \
644		am__remove_distdir=: \
645		am__skip_length_check=: \
646		am__skip_mode_fix=: \
647	        distdir) \
648	      || exit 1; \
649	  fi; \
650	done
651check-am: all-am
652check: check-recursive
653all-am: Makefile $(DATA)
654installdirs: installdirs-recursive
655installdirs-am:
656	for dir in "$(DESTDIR)$(docdir)"; do \
657	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
658	done
659install: install-recursive
660install-exec: install-exec-recursive
661install-data: install-data-recursive
662uninstall: uninstall-recursive
663
664install-am: all-am
665	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
666
667installcheck: installcheck-recursive
668install-strip:
669	if test -z '$(STRIP)'; then \
670	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
671	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
672	      install; \
673	else \
674	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
675	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
676	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
677	fi
678mostlyclean-generic:
679
680clean-generic:
681	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
682
683distclean-generic:
684	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
685	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
686	-test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)
687
688maintainer-clean-generic:
689	@echo "This command is intended for maintainers to use"
690	@echo "it deletes files that may require special tools to rebuild."
691	-test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
692clean: clean-recursive
693
694clean-am: clean-generic clean-libtool clean-local mostlyclean-am
695
696distclean: distclean-recursive
697	-rm -f Makefile
698distclean-am: clean-am distclean-generic distclean-tags
699
700dvi: dvi-recursive
701
702dvi-am:
703
704html: html-recursive
705
706html-am:
707
708info: info-recursive
709
710info-am:
711
712install-data-am: install-data-local install-docDATA
713
714install-dvi: install-dvi-recursive
715
716install-dvi-am:
717
718install-exec-am:
719
720install-html: install-html-recursive
721
722install-html-am:
723
724install-info: install-info-recursive
725
726install-info-am:
727
728install-man:
729
730install-pdf: install-pdf-recursive
731
732install-pdf-am:
733
734install-ps: install-ps-recursive
735
736install-ps-am:
737
738installcheck-am:
739
740maintainer-clean: maintainer-clean-recursive
741	-rm -f Makefile
742maintainer-clean-am: distclean-am maintainer-clean-generic
743
744mostlyclean: mostlyclean-recursive
745
746mostlyclean-am: mostlyclean-generic mostlyclean-libtool
747
748pdf: pdf-recursive
749
750pdf-am:
751
752ps: ps-recursive
753
754ps-am:
755
756uninstall-am: uninstall-docDATA uninstall-local
757
758.MAKE: $(am__recursive_targets) install-am install-strip
759
760.PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am check \
761	check-am clean clean-generic clean-libtool clean-local \
762	cscopelist-am ctags ctags-am distclean distclean-generic \
763	distclean-libtool distclean-tags distdir dvi dvi-am html \
764	html-am info info-am install install-am install-data \
765	install-data-am install-data-local install-docDATA install-dvi \
766	install-dvi-am install-exec install-exec-am install-html \
767	install-html-am install-info install-info-am install-man \
768	install-pdf install-pdf-am install-ps install-ps-am \
769	install-strip installcheck installcheck-am installdirs \
770	installdirs-am maintainer-clean maintainer-clean-generic \
771	mostlyclean mostlyclean-generic mostlyclean-libtool pdf pdf-am \
772	ps ps-am tags tags-am uninstall uninstall-am uninstall-docDATA \
773	uninstall-local
774
775.PRECIOUS: Makefile
776
777
778# explicit rules for generating docs
779@BUILD_DOCS_TRUE@Vorbis_I_spec.html Vorbis_I_spec.css: $(SPEC_TEX) $(SPEC_PNG)
780@BUILD_DOCS_TRUE@	htlatex $<
781
782@BUILD_DOCS_TRUE@Vorbis_I_spec.pdf: $(SPEC_TEX) $(SPEC_PNG)
783@BUILD_DOCS_TRUE@	pdflatex $<
784@BUILD_DOCS_TRUE@	pdflatex $<
785@BUILD_DOCS_TRUE@	pdflatex $<
786@BUILD_DOCS_FALSE@Vorbis_I_spec.html: NO_DOCS_ERROR
787@BUILD_DOCS_FALSE@Vorbis_I_spec.pdf: NO_DOCS_ERROR
788@BUILD_DOCS_FALSE@NO_DOCS_ERROR:
789@BUILD_DOCS_FALSE@	@echo
790@BUILD_DOCS_FALSE@	@echo "*** Documentation has not been built! ***"
791@BUILD_DOCS_FALSE@	@echo "Try re-running after passing --enable-docs to configure."
792@BUILD_DOCS_FALSE@	@echo
793
794@HAVE_DOXYGEN_TRUE@doxygen-build.stamp: Doxyfile $(top_srcdir)/include/vorbis/*.h
795@HAVE_DOXYGEN_TRUE@	doxygen
796@HAVE_DOXYGEN_TRUE@	touch doxygen-build.stamp
797@HAVE_DOXYGEN_FALSE@doxygen-build.stamp:
798@HAVE_DOXYGEN_FALSE@	echo "*** Warning: Doxygen not found; documentation will not be built."
799@HAVE_DOXYGEN_FALSE@	touch doxygen-build.stamp
800
801install-data-local: doxygen-build.stamp
802	$(mkinstalldirs) $(DESTDIR)$(docdir)
803	if test -d vorbis; then \
804	  for dir in vorbis/*; do \
805	    if test -d $$dir; then \
806	      b=`basename $$dir`; \
807	      $(mkinstalldirs) $(DESTDIR)$(docdir)/$$b; \
808	      for f in $$dir/*; do \
809		$(INSTALL_DATA) $$f $(DESTDIR)$(docdir)/$$b; \
810	      done \
811	    fi \
812	  done \
813	fi
814
815uninstall-local:
816	rm -rf $(DESTDIR)$(docdir)
817
818clean-local:
819	if test -d vorbis; then rm -rf vorbis; fi
820	if test -f doxygen-build.stamp; then rm -f doxygen-build.stamp; fi
821
822# Tell versions [3.59,3.63) of GNU make to not export all variables.
823# Otherwise a system limit (for SysV at least) may be exceeded.
824.NOEXPORT:
825